---
id: item-d673110e-8d91-4294-b80f-74a38cf51533
indent: 0
location: pages/item-d673110e-8d91-4294-b80f-74a38cf51533/index.yaml
slug: welcome/terminology
order: 3
parent: item-8a5bf844-d498-4f75-bf96-110eaedb42d9
title: Terminology
description: 'HAX - headless authoring experience. Headless is a common technical
  term to mean the '
metadata:
  locked: false
  created: "1707142964"
  images: []
  videos: []
  updated: 1787171388
  published: true
  status: ""
  hideInMenu: false
  readtime: 1
  overridePathauto: false
  linkTarget: _self
content: "\n<p><b>HAX</b> - headless authoring experience. Headless is a common technical
  term to\n  mean the \"front end\" of an application (part you see now) is not dedicated
  or dictated\n  to based on the server backend (the part that sent you this website).
  It frees up\n  integrations an ensures that things produced with our solutions are
  highly portable,\n  semantic, dedicated in purpose, and small. HAX is commonly used
  to reference the\n  entire ecosystem we are building.</p>\n<p><b target=\"_blank\">Web
  component</b> - A custom HTML tag. <a href=\"https://developer.mozilla.org/en-US/docs/Web/API/Web_components\">Web
  components</a> is\n  a browser standard that enables the HAX ecosystem to exist
  at all. Instead of the\n  web being made out of primitive tags like &lt;div&gt;
  (to space and divide an area\n  of a web-page) we can bundle up an unlimited number
  of tags in a new tag definition.\n  This means that</p>\n<p><b>HAXeditor</b> - the
  h-a-x HTML tag and series of web components</p>\n<p><b target=\"_blank\">HAXsite</b>
  - A single site like what you are viewing currently.\_\n  A HAX site uses a <a href=\"site.json\">site.json</a>
  file in order to act as it's \"database\"\n  for organizing static HTML content
  produced by HAXeditor when hitting save. This\n  defines the structure of content,
  details about your site, and what theme to render\n  the site with.</p>\n<p><b>HAXcms</b>
  - is the organizational side of HAXsite. HAXcms provides an over-world\n  (that
  looks like a video game usually), enabling users to create new sites via a\n  web
  interface. It's for managing multiple sites and sometimes is referred to as a\n
  \ \"multi-site\" environment.</p>\n<p><b>HAXiam</b> - is an organizational technology
  above HAXcms. This enables <abbr title=\"Platform as a Service\">PaaS</abbr> and\n
  \ <abbr title=\"Software as a Service\">SaaS</abbr>style implementations of HAX.
  For example, if you are affiliated with\n    Penn State, you can log into hax.psu.edu
  and it automatically generates you a copy\n    of HAXcms to build and maintain your
  own sites. That's a SaaS implementation of the\n    HAX ecosystem.</p>\n"
...
